job_api
¶
OQTOPUS Cloud User API
OQTOPUS Cloud User API. This API is used to interact with the OQTOPUS Cloud service. The API provides endpoints to manage devices, jobs, and results. # noqa: E501
OpenAPI spec version: 1.0 Contact: oqtopus-team[at]googlegroups.com Generated by: https://github.com/swagger-api/swagger-codegen.git
Classes:
-
JobApi–NOTE: This class is auto generated by the swagger code generator program.
JobApi
¶
JobApi(api_client=None)
NOTE: This class is auto generated by the swagger code generator program.
Do not edit the class manually. Ref: https://github.com/swagger-api/swagger-codegen
Methods:
-
cancel_job–Cancel job # noqa: E501
-
cancel_job_with_http_info–Cancel job # noqa: E501
-
delete_job–Delete job # noqa: E501
-
delete_job_with_http_info–Delete job # noqa: E501
-
get_job–Get selected job # noqa: E501
-
get_job_status–Get selected job's status # noqa: E501
-
get_job_status_with_http_info–Get selected job's status # noqa: E501
-
get_job_with_http_info–Get selected job # noqa: E501
-
get_sselog–Get SSE log file # noqa: E501
-
get_sselog_with_http_info–Get SSE log file # noqa: E501
-
list_jobs–List all quantum jobs # noqa: E501
-
list_jobs_with_http_info–List all quantum jobs # noqa: E501
-
submit_job–Submit a quantum job # noqa: E501
-
submit_job_with_http_info–Submit a quantum job # noqa: E501
cancel_job
¶
cancel_job(job_id, **kwargs)
Cancel job # noqa: E501
Start a procedure to cancel quantum job.
Operation is valid only for job with status: submitted, ready or running. # noqa: E501
This method makes a synchronous HTTP request by default. To make an
asynchronous HTTP request, please pass async_req=True
thread = api.cancel_job(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: SuccessSuccessResponse If the method is called asynchronously, returns the request thread.
cancel_job_with_http_info
¶
cancel_job_with_http_info(job_id, **kwargs)
Cancel job # noqa: E501
Start a procedure to cancel quantum job.
Operation is valid only for job with status: submitted, ready or running. # noqa: E501
This method makes a synchronous HTTP request by default. To make an
asynchronous HTTP request, please pass async_req=True
thread = api.cancel_job_with_http_info(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: SuccessSuccessResponse If the method is called asynchronously, returns the request thread.
delete_job
¶
delete_job(job_id, **kwargs)
Delete job # noqa: E501
Deletes quantum job and related result
Operation is valid only for job with status: succeeded, failed and cancelled. submitted, ready and running jobs must be cancelled before deletion. # noqa: E501
This method makes a synchronous HTTP request by default. To make an
asynchronous HTTP request, please pass async_req=True
thread = api.delete_job(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: SuccessSuccessResponse If the method is called asynchronously, returns the request thread.
delete_job_with_http_info
¶
delete_job_with_http_info(job_id, **kwargs)
Delete job # noqa: E501
Deletes quantum job and related result
Operation is valid only for job with status: succeeded, failed and cancelled. submitted, ready and running jobs must be cancelled before deletion. # noqa: E501
This method makes a synchronous HTTP request by default. To make an
asynchronous HTTP request, please pass async_req=True
thread = api.delete_job_with_http_info(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: SuccessSuccessResponse If the method is called asynchronously, returns the request thread.
get_job
¶
get_job(job_id, **kwargs)
Get selected job # noqa: E501
Get selected job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_job(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsJobDef If the method is called asynchronously, returns the request thread.
get_job_status
¶
get_job_status(job_id, **kwargs)
Get selected job's status # noqa: E501
Get selected job's status # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_job_status(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsGetJobStatusResponse If the method is called asynchronously, returns the request thread.
get_job_status_with_http_info
¶
get_job_status_with_http_info(job_id, **kwargs)
Get selected job's status # noqa: E501
Get selected job's status # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_job_status_with_http_info(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsGetJobStatusResponse If the method is called asynchronously, returns the request thread.
get_job_with_http_info
¶
get_job_with_http_info(job_id, **kwargs)
Get selected job # noqa: E501
Get selected job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_job_with_http_info(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsJobDef If the method is called asynchronously, returns the request thread.
get_sselog
¶
get_sselog(job_id, **kwargs)
Get SSE log file # noqa: E501
Get SSE log file of selected job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_sselog(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsGetSselogResponse If the method is called asynchronously, returns the request thread.
get_sselog_with_http_info
¶
get_sselog_with_http_info(job_id, **kwargs)
Get SSE log file # noqa: E501
Get SSE log file of selected job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.get_sselog_with_http_info(job_id, async_req=True) result = thread.get()
:param async_req bool :param str job_id: Job identifier (required) :return: JobsGetSselogResponse If the method is called asynchronously, returns the request thread.
list_jobs
¶
list_jobs(**kwargs)
List all quantum jobs # noqa: E501
By default, all available job's properties are returned. Use 'fields' parameter to specify exact list of properties to get for each job. List of jobs can be filtered by job creation time or search text with 'start_time', 'end_time' and 'q' parameters. Jobs are fetched with the pagination mechanism. This can be configured with 'page' and 'perPage' parameters. Check response's 'Link' header for pagination details. # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.list_jobs(async_req=True) result = thread.get()
:param async_req bool :param str fields: Allows to specify an exact list of job properties to fetch for a single job. Each element of the list must be a valid name of job property. If parameter is specified and requested job field is not defined for a job null is returned. If parameter is omitted all available job properties are returned. Undefined job properties (null properties) are not included in the response. :param datetime start_time: Allows to filter the list of jobs to fetch by creation time. If specified only jobs with creation time (createdAt property) >= start_time are returned. :param datetime end_tiime: Allows to filter the list of jobs to fetch by to creation time. If specified only jobs with creation time (createdAt property) <= end_time are returned. :param str q: Allows to filter the list of jobs to fetch by job's name and description. If specified only jobs which name or description contains specified search string are returned. :param int page: Set jobs list page number to fetch. If requested page number exceeds number of all pages last page is returned. :param int size: Configure number of jobs per page :param str order: Specify jobs order according to creation time (createdAt property) :return: list[JobsGetJobsResponse] If the method is called asynchronously, returns the request thread.
list_jobs_with_http_info
¶
list_jobs_with_http_info(**kwargs)
List all quantum jobs # noqa: E501
By default, all available job's properties are returned. Use 'fields' parameter to specify exact list of properties to get for each job. List of jobs can be filtered by job creation time or search text with 'start_time', 'end_time' and 'q' parameters. Jobs are fetched with the pagination mechanism. This can be configured with 'page' and 'perPage' parameters. Check response's 'Link' header for pagination details. # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.list_jobs_with_http_info(async_req=True) result = thread.get()
:param async_req bool :param str fields: Allows to specify an exact list of job properties to fetch for a single job. Each element of the list must be a valid name of job property. If parameter is specified and requested job field is not defined for a job null is returned. If parameter is omitted all available job properties are returned. Undefined job properties (null properties) are not included in the response. :param datetime start_time: Allows to filter the list of jobs to fetch by creation time. If specified only jobs with creation time (createdAt property) >= start_time are returned. :param datetime end_tiime: Allows to filter the list of jobs to fetch by to creation time. If specified only jobs with creation time (createdAt property) <= end_time are returned. :param str q: Allows to filter the list of jobs to fetch by job's name and description. If specified only jobs which name or description contains specified search string are returned. :param int page: Set jobs list page number to fetch. If requested page number exceeds number of all pages last page is returned. :param int size: Configure number of jobs per page :param str order: Specify jobs order according to creation time (createdAt property) :return: list[JobsGetJobsResponse] If the method is called asynchronously, returns the request thread.
submit_job
¶
submit_job(**kwargs)
Submit a quantum job # noqa: E501
Submit a quantum job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.submit_job(async_req=True) result = thread.get()
:param async_req bool :param JobsSubmitJobRequest body: Quantum job to be submitted :return: JobsSubmitJobResponse If the method is called asynchronously, returns the request thread.
submit_job_with_http_info
¶
submit_job_with_http_info(**kwargs)
Submit a quantum job # noqa: E501
Submit a quantum job # noqa: E501 This method makes a synchronous HTTP request by default. To make an asynchronous HTTP request, please pass async_req=True
thread = api.submit_job_with_http_info(async_req=True) result = thread.get()
:param async_req bool :param JobsSubmitJobRequest body: Quantum job to be submitted :return: JobsSubmitJobResponse If the method is called asynchronously, returns the request thread.